# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify Alma, CentOS, CentOS Stream and Rocky Linux as rhel
%if "%{__distinit}" == "a" || "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "cs" || "%{__distinit}" == "rl"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Class-Factory-Util
Version:	1.7
Release:	43.%{__distinit}%{__distvers}
Summary:	Provide utility methods for factory classes 
License:	GPL-1.0-or-later OR Artistic-1.0-Perl
URL:		https://metacpan.org/release/Class-Factory-Util
Source0:	https://cpan.metacpan.org/modules/by-module/Class/Class-Factory-Util-%{version}.tar.gz
BuildArch:	noarch
# Build
BuildRequires:	coreutils
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(Module::Build)
BuildRequires:	perl(Module::Build::Compat) >= 0.02
# Module
BuildRequires:	perl(Carp)
BuildRequires:	perl(strict)
BuildRequires:	perl(vars)
# Test Suite
BuildRequires:	perl(lib)
BuildRequires:	perl(Test)
BuildRequires:	perl(Test::More)
# Optional Tests
BuildRequires:	perl(Test::Pod) >= 1.14
BuildRequires:	perl(Test::Pod::Coverage) >= 1.04
# Dependencies
%if 0%{?fedora} < 38 && 0%{?rhel} < 10
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
%endif

%description
This module exports utility functions that are useful for factory classes.

%prep
%setup -q -n Class-Factory-Util-%{version}

%build
perl Build.PL --installdirs=vendor
./Build

%install
./Build install --destdir=%{buildroot} --create_packlist=0
%{_fixperms} -c %{buildroot}

%check
./Build test

%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/Class/
%{_mandir}/man3/Class::Factory::Util.3*

%changelog
* Fri Mar 10 2023 Paul Howarth <paul@city-fan.org> - 1.7-43
- Use SPDX-format license tag
- Use %%license unconditionally

* Thu Jun 13 2019 Paul Howarth <paul@city-fan.org> - 1.7-31
- Modernize spec
  - Switch upstream from search.cpan.org to metacpan.org
  - BR: perl-generators unconditionally
  - BR: perl-interpreter rather than perl
  - Don't explicitly clean buildroot in %%install section
  - Drop explicit %%clean section
  - Drop legacy BuildRoot: and Group: tags

* Tue Aug  9 2016 Paul Howarth <paul@city-fan.org> - 1.7-23
- BR: perl-generators where available

* Fri Feb 26 2016 Paul Howarth <paul@city-fan.org> - 1.7-22
- Classify buildreqs by usage

* Sun Aug 31 2014 Paul Howarth <paul@city-fan.org> - 1.7-19
- Drop %%defattr, redundant since rpm 4.4
- Use %%license where possible

* Wed Jun 27 2012 Paul Howarth <paul@city-fan.org> - 1.7-12
- BR: perl(Carp) and perl(lib)
- Don't need to remove empty directories from the buildroot
- Drop support for old distributions prior to FC-3:
  - Don't need to define %%{perl_vendorlib}
  - Don't need to run the test suite with LC_ALL=C

* Wed Jun 22 2011 Paul Howarth <paul@city-fan.org> - 1.7-10
- Rebuild for perl 5.14.1 in Rawhide
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Fri Jun 25 2010 Paul Howarth <paul@city-fan.org> - 1.7-9
- Rebuild for perl 5.12.1 in Rawhide

* Wed May 19 2010 Paul Howarth <paul@city-fan.org> - 1.7-8
- Fix dist tag for RHEL-6 Beta

* Thu Feb  4 2010 Paul Howarth <paul@city-fan.org> - 1.7-7
- Import from Fedora

* Fri Dec  4 2009 Stepan Kasal <skasal@redhat.com> - 1.7-6
- Rebuild against perl 5.10.1

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Mar 04 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.7-3
- Rebuild for new perl

* Tue Jan 01 2008 Ralf Corsépius <rc040203@freenet.de> - 1.7-2
- Adjust License-tag
- BR: perl(Test::More) (BZ 419631)
- BR: perl(Test::Pod), perl(Test::Pod::Coverage)

* Mon Apr 02 2007 Chris Weyl <cweyl@alumni.drew.edu> - 1.7-1
- Update to 1.7
- Switch to Build.PL
- Misc spec cleanups

* Thu Aug 31 2006 Chris Weyl <cweyl@alumni.drew.edu> - 1.6-3
- Bump for mass rebuild

* Sun Aug 06 2006 Chris Weyl <cweyl@alumni.drew.edu> - 1.6-2
- Bump for build and release 

* Fri Aug 04 2006 Chris Weyl <cweyl@alumni.drew.edu> - 1.6-1
- Initial spec file for F-E
